RUBIKS_CUBEX(1)

NAME
rubiks_cubex - fast non-optimal solver for 3x3x3 Rubik's cube

SYNOPSIS
rubiks_cubex rubiks_cubex <cube-layout>[<center-rotations>] rubiks_cubex random[-centers]

DESCRIPTION

Solves a 3x3x3 Rubik's cube.

OPTIONS

(none)
    prints help screen with complete examples

random
    randomly scrambles a cube then generate a solution

random-centers
    randomly scrambles a cube then generate a solution, but will also fix center rotations

<cube-layout>
    a 54-character string, representing each facelet on the cube, going from face to face in this order: top, left, front, right, back, bottom, with a number (1 through 6), in the order: left to right, top to bottom (as you're looking at each face)

<center-rotations>
    an OPTIONAL 6-character addition to the string, representing the rotation of each center, with a number (0 through 3), in this order: top, left, front, right, back, bottom, in which the rotations are like so: 0, 1, 2, 3, which mean (respectively): center is rotated correctly, center is rotated 90 degrees clockwise, center is rotated 180 degrees, center is rotated 90 degrees counterclockwise.

EXAMPLES

rubiks_cubex 212212212333333333626626626555555555141141141464464464

cubex random